<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSPY v2004 rel. 3 U (http://www.xmlspy.com) by Inch (Skyguide) -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:element name="test-configuration">
		<xs:annotation>
			<xs:documentation>the main and only configuration file for gui tests</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="report-title" type="xs:string"/>
				<xs:element name="first-host" type="test-host"/>
				<xs:element name="second-host" type="test-host" minOccurs="0"/>
				<xs:element name="scenarii-base-directory" type="xs:string"/>
				<xs:element name="failed-base-directory" type="xs:string"/>
				<xs:element name="test-suite" maxOccurs="unbounded">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="setup-scenarii-directory" type="xs:string" minOccurs="0">
								<xs:annotation>
									<xs:documentation>Played BEFORE each test of this testsuite</xs:documentation>
								</xs:annotation>
							</xs:element>
							<xs:element name="teardown-scenarii-directory" type="xs:string" minOccurs="0">
								<xs:annotation>
									<xs:documentation>Played AFTER each test of this testsuite</xs:documentation>
								</xs:annotation>
							</xs:element>
							<xs:element name="gui-test" type="gui-test" maxOccurs="unbounded"/>
						</xs:sequence>
						<xs:attribute name="parallel-mode" type="xs:boolean" use="optional" default="false"/>
					</xs:complexType>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="test-host">
		<xs:sequence>
			<xs:element name="ip" type="xs:string"/>
			<xs:element name="port" type="xs:int"/>
			<xs:element name="arg" type="argType" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="gui-test">
		<xs:sequence>
			<xs:element name="scenarii-directory" type="xs:string"/>
			<xs:element name="arg" type="argType" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="argType">
		<xs:simpleContent>
			<xs:extension base="xs:string">
				<xs:attribute name="name" type="xs:string" use="required"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
</xs:schema>
